sensorfw: Orientation Class Reference

sensorfw

Public Types | Public Member Functions | Properties | Friends | List of all members
Orientation Class Reference

QObject facade for OrientationData. More...

`#include <orientation.h>`

Inheritance diagram for Orientation:

## Public Types
enum | DisplayOrientation { OrientationUndefined = 0 , OrientationDisplayUp , OrientationDisplayDown , OrientationDisplayLeftUp , OrientationDisplayRightUp , OrientationDisplayUpwards , OrientationDisplayDownwards }
| Display orientation. More...

## Public Member Functions
| Orientation ()
| Default constructor.
| Orientation (const OrientationData &orientationData)
| Constructor.
| Orientation (const Orientation &orientation)
| Copy constructor.
const OrientationData & | orientationData () const
| Accessor for contained OrientationData.
float | x () const
| Accessor for X coordinate.
float | y () const
| Accessor for Y coordinate.
float | z () const
| Accessor for Z coordinate.
DisplayOrientation | orientation () const
| Accessor for display orientation.

## Properties
int | x
int | y
int | z
DisplayOrientation | orientation

## Friends
const QDBusArgument & | operator>> (const QDBusArgument &argument, Orientation &orientation)
| Unmarshall Orientation data from the D-Bus argument.

## Detailed Description

QObject facade for OrientationData.

Definition at line 36 of file orientation.h.

## Member Enumeration Documentation

## ◆ DisplayOrientation

enum Orientation::DisplayOrientation

Display orientation.

Deprecated
  Not used.

Enumerator
OrientationUndefined |
OrientationDisplayUp |
OrientationDisplayDown |
OrientationDisplayLeftUp |
OrientationDisplayRightUp |
OrientationDisplayUpwards |
OrientationDisplayDownwards |

Definition at line 51 of file orientation.h.

## Constructor & Destructor Documentation

## ◆ Orientation() [1/3]

Orientation::Orientation | ( |  | ) |
| inline

Default constructor.

Definition at line 65 of file orientation.h.

## ◆ Orientation() [2/3]

Orientation::Orientation | ( | const OrientationData & | orientationData | ) |

Constructor.

Parameters

  orientationData | Source object.

## ◆ Orientation() [3/3]

Orientation::Orientation | ( | const Orientation & | orientation | ) |

Copy constructor.

Parameters

  orientation | Source object.

## Member Function Documentation

## ◆ orientation()

DisplayOrientation Orientation::orientation | ( |  | ) | const
| inline

Accessor for display orientation.

Returns
  display orientation.

Deprecated
  Returns always OrientationUndefined.

Definition at line 116 of file orientation.h.

## ◆ orientationData()

const OrientationData & Orientation::orientationData | ( |  | ) | const
| inline

Accessor for contained OrientationData.

Returns
  contained OrientationData.

Definition at line 86 of file orientation.h.

## ◆ x()

float Orientation::x | ( |  | ) | const
| inline

Accessor for X coordinate.

Returns
  X coordinate.

Definition at line 93 of file orientation.h.

## ◆ y()

float Orientation::y | ( |  | ) | const
| inline

Accessor for Y coordinate.

Returns
  Y coordinate.

Definition at line 100 of file orientation.h.

## ◆ z()

float Orientation::z | ( |  | ) | const
| inline

Accessor for Z coordinate.

Returns
  Z coordinate.

Definition at line 107 of file orientation.h.

## Friends And Related Symbol Documentation

## ◆ operator>>

const QDBusArgument & operator>> | ( | const QDBusArgument & | argument,
|  | Orientation & | orientation )
| friend

Unmarshall Orientation data from the D-Bus argument.

Parameters

  argument | dbus argument.
  orientation | unmarshalled data.

Returns
  dbus argument.

Definition at line 149 of file orientation.h.

## Property Documentation

## ◆ orientation

DisplayOrientation Orientation::orientation
| read

Definition at line 43 of file orientation.h.

## ◆ x

int Orientation::x
| read

Definition at line 40 of file orientation.h.

## ◆ y

int Orientation::y
| read

Definition at line 41 of file orientation.h.

## ◆ z

int Orientation::z
| read

Definition at line 42 of file orientation.h.

The documentation for this class was generated from the following file:

- datatypes/orientation.h